5db9588bc49f7186abb51fef645d7670a58a9bd8
[openwrt/svn-archive/archive.git] / target / linux / brcm2708 / patches-4.1 / 0121-spidev-Add-spidev-compatible-string-to-silence-warni.patch
1 From dcf79d117cc9268217f75b59eda5cfdd9c4a9308 Mon Sep 17 00:00:00 2001
2 From: Phil Elwell <phil@raspberrypi.org>
3 Date: Tue, 14 Jul 2015 10:26:09 +0100
4 Subject: [PATCH 121/171] spidev: Add "spidev" compatible string to silence
5 warning
6
7 See: https://github.com/raspberrypi/linux/issues/1054
8 ---
9 drivers/spi/spidev.c | 1 +
10 1 file changed, 1 insertion(+)
11
12 --- a/drivers/spi/spidev.c
13 +++ b/drivers/spi/spidev.c
14 @@ -706,6 +706,7 @@ static struct class *spidev_class;
15 #ifdef CONFIG_OF
16 static const struct of_device_id spidev_dt_ids[] = {
17 { .compatible = "rohm,dh2228fv" },
18 + { .compatible = "spidev" },
19 {},
20 };
21 MODULE_DEVICE_TABLE(of, spidev_dt_ids);